Origens para a AWS DMS - AWSDatabase Migration Service

As traduções são geradas por tradução automática. Em caso de conflito entre o conteúdo da tradução e da versão original em inglês, a versão em inglês prevalecerá.

Origens para a AWS DMS

É possível usar os seguintes datastores como endpoints de origem de migração de dados usando o AWS DMS.

Bancos de dados locais e de instância EC2

  • Oracle versões 10.2 e posterior (para versões 10.x), 11g e até 12.2, 18c e 19c para as edições Enterprise, Standard, Standard One e Standard Two

  • Microsoft SQL Server versões 2005, 2008, 2008R2, 2012, 2014, 2016, 2017 e 2019 para as edições Enterprise, Standard, Workgroup e Developer. As edições Web e Express não são compatíveis.

  • MySQL, versões 5.5, 5.6, 5.7 e 8.0

    nota

    O Support ao MySQL 8.0 como origem está disponível noAWS DMS3.4.0 e posterior, exceto quando a carga da transação for compactada.

  • MariaDB (compatível como uma fonte de dados compatível com MySQL) versões 10.0.24 a 10.0.28, 10.1, 10.2 e 10.3, 10.3.13, 10.4, 10.5.

    nota

    O suporte ao MariaDB como origem está disponível em todas as versões do AWS DMS com as quais o MySQL é compatível.

  • PostgreSQL versão 9.4 e posterior (para versões 9.x), 10.x, 11.x e 12.x.

    nota
    • As versões do PostgreSQL 12.x são compatíveis como uma origem no AWS DMS versões 3.3.3 e posterior.

  • MongoDB versões 3.x, 4.0, 4.2 e 4.4.

  • SAP Adaptive Server Enterprise (ASE) versões 12.5, 15, 15.5, 15.7, 16 e posteriores.

  • IBM Db2 para Linux, UNIX e Windows (Db2 LUW) versões:

    • Versão 9.7, todos os fix packs são compatíveis.

    • Versão 10.1, todos os fix packs são compatíveis.

    • Versão 10.5, todos os fix packs são compatíveis, exceto Fix Pack 5.

    • Versão 11.1, todos os fix packs são compatíveis.

    • Versão 11.5, com Fix Pack Zero suportado

Microsoft Azure

  • Banco de dados do SQL Azure.

Bancos de dados de instâncias do Amazon Amazon RDS e Amazon Simple Storage Service (Amazon S3)

  • Oracle versões 11g (versões 11.2.0.4 e posterior) e até 12.2, 18c e 19c para as edições Enterprise, Standard, Standard One e Standard Two.

  • Microsoft SQL Server versões 2008R2, 2012, 2014, 2016, 2017 e 2019 para as edições Enterprise, Standard, Workgroup e Developer. As edições Web e Express não são compatíveis.

  • MySQL, versões 5.5, 5.6, 5.7 e 8.0

    nota

    O Support ao MySQL 8.0 como origem está disponível noAWS DMS3.4.0 e posterior, exceto quando a carga da transação for compactada.

  • MariaDB (compatível como uma fonte de dados compatível com MySQL) versões 10.0.24 a 10.0.28, 10.1, 10.2 e 10.3, 10.3.13 e 10.4

    nota

    O suporte ao MariaDB como origem está disponível em todas as versões do AWS DMS com as quais o MySQL é compatível.

  • PostgreSQL versão 9.4 e posterior (para versões 9.x), 10.x, 11.x e 12.x. A captura de dados de alteração (CDC) é compatível apenas com as versões 9.4.9 e posterior, 9.5.4 e posterior, 10.x, 11.x e 12.x. O parâmetro rds.logical_replication, necessário para CDC, é compatível apenas com essas versões e versões superiores.

    nota
    • As versões do PostgreSQL 12.x são compatíveis como uma origem no AWS DMS versões 3.3.3 e posterior.

  • Amazon Aurora com compatibilidade do MySQL (compatível como uma fonte de dados compatível com MySQL).

  • Amazon Aurora com compatibilidade PostgreSQL (compatível como uma fonte de dados compatível com PostgreSQL).

  • Amazon S3.

  • Amazon DocumentDB (com compatibilidade com o MongoDB)

Para obter mais informações sobre como trabalhar com uma origem específica, consulteTrabalho comAWS DMSEndpoints de.